Extending Qt Creator Manual | DeployConfiguration

Extending Qt Creator Manual 4.5.2

# DeployConfiguration Class

(ProjectExplorer::DeployConfiguration)

Inherits: | ProjectExplorer::ProjectConfiguration

- List of all members, including inherited members

## Public Functions

| ~DeployConfiguration() override
virtual NamedWidget * | createConfigWidget()
virtual QString | disabledReason() const
virtual bool | isEnabled() const
BuildStepList * | stepList() const
Target * | target() const

## Reimplemented Public Functions

virtual bool | fromMap(const QVariantMap &map) override
virtual bool | isActive() const override
virtual Project * | project() const override
virtual QVariantMap | toMap() const override

- 13 public functions inherited from ProjectExplorer::ProjectConfiguration

## Signals

void | enabledChanged()

- 2 signals inherited from ProjectExplorer::ProjectConfiguration

## Protected Functions

| DeployConfiguration(Target *target, Core::Id id)
| DeployConfiguration(Target *target, DeployConfiguration *source)
void | cloneSteps(DeployConfiguration *source)

- 2 protected functions inherited from ProjectExplorer::ProjectConfiguration

## Member Function Documentation

### `[protected]` DeployConfiguration::DeployConfiguration(Target *target, Core::Id id)

Default constructs an instance of DeployConfiguration.

### `[protected]` DeployConfiguration::DeployConfiguration(Target *target, DeployConfiguration *source)

Default constructs an instance of DeployConfiguration.

### DeployConfiguration::~DeployConfiguration()

Destroys the instance of DeployConfiguration.

### `[protected]` void DeployConfiguration::cloneSteps(DeployConfiguration *source)

### `[virtual]` NamedWidget *DeployConfiguration::createConfigWidget()

### `[virtual]` QString DeployConfiguration::disabledReason() const

### `[signal]` void DeployConfiguration::enabledChanged()

### `[override virtual]` bool DeployConfiguration::fromMap(const QVariantMap &map)

### `[override virtual]` bool DeployConfiguration::isActive() const

### `[virtual]` bool DeployConfiguration::isEnabled() const

### `[override virtual]` Project *DeployConfiguration::project() const

### BuildStepList *DeployConfiguration::stepList() const

### Target *DeployConfiguration::target() const

### `[override virtual]` QVariantMap DeployConfiguration::toMap() const